Technical FAQs

Ask a Question

Sepam SFT2841 V16.0 - cannot connect to Sepam and I have other Schneider Electric software using the Modbus Driver.

With the SFT2841 software version V16.0, a certain version of the Schneider Electric Modbus Driver is included with the installation package.

The current practice with SFT2841 (as of the time of writing of this document) is that the Modbus Driver installer is not accessible as a separate executable file.  So, in the rare cases where it is necessary to troubleshoot the Modbus Driver installation, some additional work may be required.

An issue may arise in some cases because there are other software applications developed by Schneider Electric that use the same Modbus Driver component as the SFT2841 software, and in some cases they may use different versions of this component compared to SFT2841.

So, if your installation of the Sepam SFT2841 software V16.0 has completed without any error messages, but you still have problems connecting to your Sepam relay, you can try the following procedure.

1. As shown in the attached image, access your Windows Control Panel, and locate the Modbus Driver software.  Un-install the SFT2841 software, and also manually un-install this Modbus Driver application.  Please be aware that your other Schneider Electric software that uses this Modbus Driver may not work after you follow this procedure.  The standard practice for Schneider is to ensure compatibility of the latest Modbus Driver version with all current software platforms.  So, normally a new version of both SFT2841 and your other Schneider program (e.g., PLC programming software) should be released later with a Modbus Driver version that is compatible.

2. After you have removed SFT2841 V16.0 and the Modbus Driver, run the SFT2841 V16.0 installer again.  After a successful installation, you should see that the Modbus Driver has been installed again, and this version should be compatible with SFT2841.  You should now be able to connect to your Sepam device.

At the time of writing of this document, a newer version of SFT2841 is in development that should resolve the issues mentioned here.  Please contact the Level 3 Technical Support for Sepam if you are still having problems connecting to your relay, or if you want to obtain the latest version of SFT2841.

AEDL3
Was this helpful?
What can we do to improve the information ?